Release Candidate — the API is undergoing final validation before general availability, and minor changes may still occur.
Hellomateo API Documentation
Contact Lists

Update Contact List by Locator

PATCH
/v1/contact-lists/by

Updates the specified contact List by Locator.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

id?string

Unique identifier for the resource.

Formatuuid
external_id?string

Identifier assigned by an external system.

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name?string

Human-readable name of the resource.

Length1 <= length
key?|

Stable key used to identify the resource.

external_id?|

Identifier assigned by an external system.

Response Body

application/json

curl -X PATCH "https://api.getmateo.com/v1/contact-lists/by" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "key": "string",  "external_id": "string",  "updated_at": "2019-08-24T14:15:22Z"}